GCLOUD_PROJECTS_CREATE(1)

NAME

gcloud projects create - create a new project

SYNOPSIS

gcloud projects create [PROJECT_ID] [--no-enable-cloud-apis] [--labels=[KEY=VALUE,...]] [--name=NAME] [--organization=ORGANIZATION_ID] [--set-as-default] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Creates a new project with the given project ID.

POSITIONAL ARGUMENTS

    [PROJECT_ID]
        ID for the project you want to create. Project IDs must start with a lowercase letter and can have lowercase ASCII letters, digits or hyphens. Project IDs must be between 6 and 30 characters.

FLAGS

    --enable-cloud-apis
        Enable cloudapis.googleapis.com during creation. Enabled by default, use --no-enable-cloud-apis to disable.

    --labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to add.

    --name=NAME
        Name for the project you want to create. If not specified, will use project id as name.

    --organization=ORGANIZATION_ID
        ID for the organization to use as a parent

    --set-as-default
        Set newly created project as [core.project] property.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command creates a project with ID example-foo-bar-1, name Happy project and label type=happy:
    $ gcloud projects create example-foo-bar-1 --name="Happy project" \
        --labels=type=happy
The following command creates a project with ID example-3 with parent organizations/2048:
    $ gcloud projects create example-3 --organization=2048